View Issue Details

This bug affects 1 person(s).
 6
IDProjectCategoryView StatusLast Update
18096Bug reportsSurvey takingpublic2022-05-25 11:39
ReporterDenisChenu Assigned Togabrieljenik  
PrioritynoneSeveritypartial_block 
Status closedResolutionduplicate 
Product Version3.28.x 
Summary18096: Unable to save survey with top link (and nothing happen)
Description

When click on "Resume later" at top link : get a JS error and nothing happen : survey is not saved.

Steps To Reproduce

Steps to reproduce

Import https://github.com/LimeSurvey/LimeSurvey/blob/3.x-LTS/docs/demosurveys/ls3_sample_survey_multilingual_fr_de_en_it.lss
Set theme to vanilla
Activate
Launch
Move next
Click on save

Expected result

Save forum is shown

Actual result

Nothing : JS issue

TagsNo tags attached.
Bug heat6
Complete LimeSurvey version number (& build)3.28.10
I will donate to the project if issue is resolvedNo
Browserfirefox 100.0
Database type & versionnot relevant
Server OS (if known)not relevant?n
Webserver software & version (if known)not relevant?
PHP Versionnot relevant?

Relationships

duplicate of 18074 closedgabrieljenik Exit and clear survey doesn't work 
related to 18098 closedgabrieljenik jumping to place in question index not working 
child of 18026 closedgabrieljenik Session expire message when submit button is clicked twice 

Users monitoring this issue

User List There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2022-05-09 17:45

developer  

DenisChenu

DenisChenu

2022-05-09 17:47

developer   ~69526

vanilla log screenshot

ollehar

ollehar

2022-05-11 12:04

administrator   ~69569

Regression again?

DenisChenu

DenisChenu

2022-05-11 12:08

developer   ~69570

I don't understand your question …

It's a bug, not a regression.

A previous functionality work, this functionality was not deleted and don't work …

then : yes : it's a regression … you have a button in GUI showing something, and this button did nothing …

ollehar

ollehar

2022-05-11 12:09

administrator   ~69571

Regression from a previous LS3 version, yes. So a new regression, maybe from this or last week?

DenisChenu

DenisChenu

2022-05-11 12:11

developer   ~69572

It's a child of the fix https://bugs.limesurvey.org/view.php?id=18026

I put child relation when submitting.

https://github.com/LimeSurvey/LimeSurvey/commit/8082779b1dad128da066248be21bc7e2221a6e79#commitcomment-73224773

DenisChenu

DenisChenu

2022-05-11 12:12

developer   ~69573

https://github.com/LimeSurvey/LimeSurvey/commit/8082779b1dad128da066248be21bc7e2221a6e79#commitcomment-73224773

gabrieljenik

gabrieljenik

2022-05-11 18:09

manager   ~69593

Should be solved by 18074

Issue History

Date Modified Username Field Change
2022-05-09 17:45 DenisChenu New Issue
2022-05-09 17:45 DenisChenu File Added: Capture d’écran du 2022-05-09 17-38-39.png
2022-05-09 17:45 DenisChenu Relationship added child of 18026
2022-05-09 17:47 DenisChenu Note Added: 69526
2022-05-09 17:47 DenisChenu File Added: Capture d’écran du 2022-05-09 17-46-42.png
2022-05-09 17:47 DenisChenu Bug heat 0 => 2
2022-05-10 15:26 DenisChenu Relationship added related to 18098
2022-05-11 12:04 ollehar Note Added: 69569
2022-05-11 12:04 ollehar Bug heat 2 => 4
2022-05-11 12:08 DenisChenu Note Added: 69570
2022-05-11 12:08 DenisChenu Summary Unable to save survey with top link => Unable to save survey with top link (and nothing happen)
2022-05-11 12:08 DenisChenu Description Updated
2022-05-11 12:09 ollehar Note Added: 69571
2022-05-11 12:11 DenisChenu Note Added: 69572
2022-05-11 12:12 DenisChenu Note Added: 69573
2022-05-11 15:00 gabrieljenik Assigned To => gabrieljenik
2022-05-11 15:00 gabrieljenik Status new => assigned
2022-05-11 15:00 gabrieljenik Relationship added related to 18074
2022-05-11 18:09 gabrieljenik Status assigned => ready for testing
2022-05-11 18:09 gabrieljenik Note Added: 69593
2022-05-11 18:09 gabrieljenik Bug heat 4 => 6
2022-05-25 11:39 c_schmitz Relationship replaced duplicate of 18074
2022-05-25 11:39 c_schmitz Status ready for testing => closed
2022-05-25 11:39 c_schmitz Resolution open => duplicate